package org.obolibrary.obo2owl;

import static org.junit.Assert.*;

import java.util.Set;

import org.junit.Test;
import org.obolibrary.oboformat.model.Frame;
import org.obolibrary.oboformat.model.OBODoc;
import org.obolibrary.oboformat.parser.OBOFormatConstants.OboFormatTag;
import org.semanticweb.owlapi.model.AxiomType;
import org.semanticweb.owlapi.model.OWLEquivalentClassesAxiom;
import org.semanticweb.owlapi.model.OWLOntology;

/**
 * Tests for the handling of axioms, which cannot be translated to OBO.
 * Such axioms will be added in a tag in the ontology header. 
 */
public class PropertyValueTest extends OboFormatTestBasics {

	public static boolean USE_SYSTEM_OUT = false;
	
	@Test
	public void testPV() throws Exception {
		final OWLOntology original = parseOWLFile("property_value_test.owl");
		
		Owl2Obo owl2Obo = new Owl2Obo();
		
		OBODoc obo = owl2Obo.convert(original);
		
		String oboString = renderOboToString(obo);
		if (USE_SYSTEM_OUT) {
			System.out.println("----------------");
			System.out.println(oboString);
			System.out.println("----------------");
		}
		
		
		assertTrue(oboString.contains("property_value: source \"ABC DEF\" xsd:string"));
	}
	
}
